> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/advanced-filters/regions-regions-token-software_token.md).

# regions \[/regions/{?token,software\_token}]

This api is used to sync regions with WorkorderApp.

Each region record can contain the following data:

| Parameter       | Description              | Required | Type (size)   |
| --------------- | ------------------------ | -------- | ------------- |
| reg\_code       | Unique code              | Y        | Varchar (255) |
| reg\_name       | Name of the region.      | Y        | Varchar (255) |
| reg\_zip\_start | Zip start of the region. | N        | Integer (11)  |
| reg\_zip\_end   | Zip end of the region.   | N        | Integer (11)  |
| reg\_city       | City of the region.      | N        | Varchar (255) |
| reg\_country    | Country of the region.   | N        | Varchar (255) |

* Parameters
  * token (string,required ,`0f24d1e07c8609c0fb111fbcc168f9aaa`) ... WorkorderApp customer token
  * software\_token (string,required , `c316c4532fa7cccdcd572491d9552f80945a51366`) ... WorkorderApp external software token

#### Add regions \[POST]

* Request solutions data posted. `response` will contain the amount of solutions synced with WorkOrderApp (application/json)
  * \[{"reg\_code":"1","reg\_name":"Utrecht 32-33","reg\_zip\_start":"3200","reg\_zip\_end":"3500","reg\_city":"","reg\_country":""},{"reg\_code":"2","reg\_name":"Utrecht","reg\_zip\_start":"0","reg\_zip\_end":"0","reg\_city":"Utrecht","reg\_country":""}]
* Response 200 (application/json)
  * {"code":200,"messages":\[],"response":2}
* Request Required value missing. (application/json)
  * Body

```
        [{"reg_name":"Utrecht 32-33","reg_zip_start":"3200","reg_zip_end":"3500","reg_city":"","reg_country":""},{"reg_code":"2","reg_name":"Utrecht","reg_zip_start":"0","reg_zip_end":"0","reg_city":"Utrecht","reg_country":""}]

```

* Response 200 (application/json)
  * {"code":1051,"messages":\["Required field missing: reg\_code"],"response":null}
* Request Unparsable JSON body posted (application/json)
  * \[{"reg\_code"":"1","reg\_name":"Utrecht 32-33","reg\_zip\_start":"3200","reg\_zip\_end":"3500","reg\_city":"","reg\_country":""},{"reg\_code":"2","reg\_name":"Utrecht","reg\_zip\_start":"0","reg\_zip\_end":"0","reg\_city":"Utrecht","reg\_country":""}]
* Response 200 (application/json)
  * {"code":1009,"messages":\["Unable to parse body"],"response":null}
* Request Empty body posted (application/json)
  * Body
* Response 200 (application/json)
  * {"code":1008,"messages":\["Unable to fetch body"],"response":null}

#### Get regions \[GET]

* Response 200 (application/json)
  * {"code":200,"messages":\[],"response":\[{"reg\_code":"1","reg\_name":"Utrecht 32-33","reg\_zip\_start":"3200","reg\_zip\_end":"3500","reg\_city":"","reg\_country":""},{"reg\_code":"2","reg\_name":"Utrecht","reg\_zip\_start":"0","reg\_zip\_end":"0","reg\_city":"Utrecht","reg\_country":""}]}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/advanced-filters/regions-regions-token-software_token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
